<?xml version="1.0" encoding="US-ASCII"?>
<!-- DFIN New ActiveDisclosure (SM) XBRL Schema Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date :2021-11-12T06:24:52.0538+00:00 -->
<!-- Copyright (c) 2021 Donnelly Financial Solutions, Inc. All Rights Reserved. -->
<xsd:schema targetNamespace="http://www.ciphermining.com/20210930" attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:enum2="http://xbrl.org/2020/extensible-enumerations-2.0" xmlns:srt="http://fasb.org/srt/2021-01-31" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:us-gaap="http://fasb.org/us-gaap/2021-01-31" xmlns:dei="http://xbrl.sec.gov/dei/2021" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:cifr="http://www.ciphermining.com/20210930" xmlns:xlink="http://www.w3.org/1999/xlink">
  <xsd:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance"/>
  <xsd:import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase"/>
  <xsd:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/dei/2021/dei-2021.xsd" namespace="http://xbrl.sec.gov/dei/2021"/>
  <xsd:import schemaLocation="https://xbrl.fasb.org/srt/2021/elts/srt-2021-01-31.xsd" namespace="http://fasb.org/srt/2021-01-31"/>
  <xsd:import schemaLocation="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd" namespace="http://fasb.org/us-gaap/2021-01-31"/>
  <xsd:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21"/>
  <xsd:annotation>
    <xsd:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="cifr-20210930_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:title="Labels link" xlink:type="simple"/>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="cifr-20210930_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:title="Presentation link" xlink:type="simple"/>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="cifr-20210930_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:title="Definition link" xlink:type="simple"/>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="cifr-20210930_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:title="Calculation link" xlink:type="simple"/>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DocumentDocumentAndEntityInformation" id="Role_DocumentDocumentAndEntityInformation">
        <link:definition>100000 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/StatementCondensedConsolidatedBalanceSheets1" id="StatementCondensedConsolidatedBalanceSheets1">
        <link:definition>100010 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/StatementCondensedConsolidatedBalanceSheetsParentheticals" id="StatementCondensedConsolidatedBalanceSheetsParentheticals">
        <link:definition>100020 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS (Parentheticals)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/StatementCondensedConsolidatedStatementsOfOperationsUnaudited" id="StatementCondensedConsolidatedStatementsOfOperationsUnaudited">
        <link:definition>100030 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF OPERATIONS (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/StatementCondensedConsolidatedStatementsOfChangesInStockholdersEquityDeficitUnaudited" id="StatementCondensedConsolidatedStatementsOfChangesInStockholdersEquityDeficitUnaudited">
        <link:definition>100040 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN STOCKHOLDERS' EQUITY (DEFICIT) (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/StatementCondensedConsolidatedStatementsOfChangesInStockholdersEquityDeficitUnauditedParentheticals" id="StatementCondensedConsolidatedStatementsOfChangesInStockholdersEquityDeficitUnauditedParentheticals">
        <link:definition>100050 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN STOCKHOLDERS' EQUITY (DEFICIT) (Unaudited) (Parentheticals)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/StatementCondensedConsolidatedStatementOfCashFlowsUnaudited" id="StatementCondensedConsolidatedStatementOfCashFlowsUnaudited">
        <link:definition>100060 - Statement - CONDENSED CONSOLIDATED STATEMENT OF CASH FLOWS (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureOrganizationAndBusiness" id="Role_DisclosureOrganizationAndBusiness">
        <link:definition>100070 - Disclosure - Organization and Business</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSummaryOfSignificantAccountingPolicies" id="Role_DisclosureSummaryOfSignificantAccountingPolicies">
        <link:definition>100080 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureBusinessCombination" id="Role_DisclosureBusinessCombination">
        <link:definition>100090 - Disclosure - Business Combination</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureFairValueMeasurements" id="Role_DisclosureFairValueMeasurements">
        <link:definition>100100 - Disclosure - Fair Value Measurements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosurePrepaidExpenses" id="Role_DisclosurePrepaidExpenses">
        <link:definition>100110 - Disclosure - Prepaid Expenses</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureDepositOnEquipment1" id="DisclosureDepositOnEquipment1">
        <link:definition>100120 - Disclosure - Deposit on Equipment</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSecurityDeposits" id="Role_DisclosureSecurityDeposits">
        <link:definition>100130 - Disclosure - Security Deposits</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureRelatedPartyTransactions" id="Role_DisclosureRelatedPartyTransactions">
        <link:definition>100140 - Disclosure - Related Party Transactions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureCommitmentsAndContingencies" id="Role_DisclosureCommitmentsAndContingencies">
        <link:definition>100150 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureStockholdersEquityDeficit" id="Role_DisclosureStockholdersEquityDeficit">
        <link:definition>100160 - Disclosure - Stockholders' Equity (Deficit)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureWarrants" id="Role_DisclosureWarrants">
        <link:definition>100170 - Disclosure - Warrants</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureEquityBasedCompensation" id="Role_DisclosureEquityBasedCompensation">
        <link:definition>100180 - Disclosure - Equity Based Compensation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureNetLossPerShare" id="Role_DisclosureNetLossPerShare">
        <link:definition>100190 - Disclosure - Net Loss Per Share</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSubsequentEvents" id="Role_DisclosureSubsequentEvents">
        <link:definition>100200 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSummaryOfSignificantAccountingPoliciesPolicies" id="Role_DisclosureSummaryOfSignificantAccountingPoliciesPolicies">
        <link:definition>100210 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSummaryOfSignificantAccountingPoliciesTable" id="Role_DisclosureSummaryOfSignificantAccountingPoliciesTable">
        <link:definition>100220 - Disclosure - Summary of Significant Accounting Policies (Table)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureBusinessCombinationTables" id="Role_DisclosureBusinessCombinationTables">
        <link:definition>100230 - Disclosure - Business Combination (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureFairValueMeasurementsTables" id="Role_DisclosureFairValueMeasurementsTables">
        <link:definition>100240 - Disclosure - Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureDepositOnEquipmentTables" id="Role_DisclosureDepositOnEquipmentTables">
        <link:definition>100250 - Disclosure - Deposit on Equipment (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSecurityDepositsTables" id="Role_DisclosureSecurityDepositsTables">
        <link:definition>100260 - Disclosure - Security Deposits (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureNetLossPerShareTables" id="Role_DisclosureNetLossPerShareTables">
        <link:definition>100270 - Disclosure - Net Loss Per Share (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureOrganizationAndBusinessAdditionalInformationDetail" id="Role_DisclosureOrganizationAndBusinessAdditionalInformationDetail">
        <link:definition>100280 - Disclosure - Organization and Business - Additional Information (Detail)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformationDetails" id="DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformationDetails">
        <link:definition>100290 - Disclosure - Summary of Significant Accounting Policies - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureSummaryOfSignificantAccountingPoliciesSummaryOfPropertyAndEquipmentDetails" id="DisclosureSummaryOfSignificantAccountingPoliciesSummaryOfPropertyAndEquipmentDetails">
        <link:definition>100300 - Disclosure - Summary of Significant Accounting Policies - Summary of Property and Equipment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureBusinessCombinationAdditionalInformationDetails" id="Role_DisclosureBusinessCombinationAdditionalInformationDetails">
        <link:definition>100310 - Disclosure - Business Combination - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureBusinessCombinationScheduleOfReconciliationOfElementsOfBusinessCombinationDetails" id="Role_DisclosureBusinessCombinationScheduleOfReconciliationOfElementsOfBusinessCombinationDetails">
        <link:definition>100320 - Disclosure - Business Combination - Schedule of Reconciliation of Elements of Business Combination (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureBusinessCombinationScheduleOfCommonStockIssuedFollowingConsummationOfBusinessCombinationDetails" id="Role_DisclosureBusinessCombinationScheduleOfCommonStockIssuedFollowingConsummationOfBusinessCombinationDetails">
        <link:definition>100330 - Disclosure - Business Combination - Schedule of Common Stock Issued Following the Consummation of Business Combination (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureBusinessCombinationScheduleOfCommonStockIssuedFollowingConsummationOfBusinessCombinationParenthenticalDetails" id="Role_DisclosureBusinessCombinationScheduleOfCommonStockIssuedFollowingConsummationOfBusinessCombinationParenthenticalDetails">
        <link:definition>100340 - Disclosure - Business Combination - Schedule of Common Stock Issued Following the Consummation of Business Combination (Parenthentical) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureFairValueMeasurementsSummaryOfFinancialAssetsAndLiabilitiesMeasurementOnRecurringBasisDetails" id="DisclosureFairValueMeasurementsSummaryOfFinancialAssetsAndLiabilitiesMeasurementOnRecurringBasisDetails">
        <link:definition>100350 - Disclosure - Fair Value Measurements - Summary of Financial Assets And Liabilities Measurement on Recurring Basis (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureFairValueMeasurementsSummaryOfAssumptionsUtilizedInValuationsOfPrivatePlacementWarrantsDetails" id="DisclosureFairValueMeasurementsSummaryOfAssumptionsUtilizedInValuationsOfPrivatePlacementWarrantsDetails">
        <link:definition>100360 - Disclosure - Fair Value Measurements - Summary of Assumptions Utilized in Valuations of Private Placement Warrants (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureFairValueMeasurementsSummaryOfChangeInFairValueOfPrivatePlacementWarrantsDetails" id="Role_DisclosureFairValueMeasurementsSummaryOfChangeInFairValueOfPrivatePlacementWarrantsDetails">
        <link:definition>100370 - Disclosure - Fair Value Measurements - Summary of Change in the Fair Value of the Private Placement Warrants (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosurePrepaidExpensesAdditionalInformationDetails" id="Role_DisclosurePrepaidExpensesAdditionalInformationDetails">
        <link:definition>100380 - Disclosure - Prepaid Expenses - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureDepositOnEquipmentAdditionalInformationDetails" id="DisclosureDepositOnEquipmentAdditionalInformationDetails">
        <link:definition>100390 - Disclosure - Deposit on Equipment - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureDepositOnEquipmentScheduleOfPurchaseAgreementCommitmentsDepositsPaidAndExpectedDeliveryTimingDetails" id="Role_DisclosureDepositOnEquipmentScheduleOfPurchaseAgreementCommitmentsDepositsPaidAndExpectedDeliveryTimingDetails">
        <link:definition>100400 - Disclosure - Deposit on Equipment - Schedule of Purchase Agreement Commitments, Deposits Paid and Expected Delivery Timing (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSecurityDepositsScheduleOfSecurityDepositsConsistedDetail" id="Role_DisclosureSecurityDepositsScheduleOfSecurityDepositsConsistedDetail">
        <link:definition>100410 - Disclosure - Security Deposits - Schedule of Security deposits consisted (Detail)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureRelatedPartyTransactionsAdditionalInformationDetails" id="Role_DisclosureRelatedPartyTransactionsAdditionalInformationDetails">
        <link:definition>100420 - Disclosure - Related Party Transactions - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureCommitmentsAndContingenciesAdditionalInformationDetails" id="Role_DisclosureCommitmentsAndContingenciesAdditionalInformationDetails">
        <link:definition>100430 - Disclosure - Commitments and Contingencies - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureStockholdersEquityDeficitAdditionalInformationDetail" id="Role_DisclosureStockholdersEquityDeficitAdditionalInformationDetail">
        <link:definition>100440 - Disclosure - Stockholders' Equity (Deficit) - Additional Information (Detail)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureWarrantsAdditionalInformationDetails" id="Role_DisclosureWarrantsAdditionalInformationDetails">
        <link:definition>100450 - Disclosure - Warrants - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureEquityBasedCompensationAdditionalInformationDetails" id="Role_DisclosureEquityBasedCompensationAdditionalInformationDetails">
        <link:definition>100460 - Disclosure - Equity Based Compensation - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/DisclosureNetLossPerShareScheduleOfCommonSharesExcludedFromComputationOfDilutedNetLossPerCommonShareDetails" id="DisclosureNetLossPerShareScheduleOfCommonSharesExcludedFromComputationOfDilutedNetLossPerCommonShareDetails">
        <link:definition>100470 - Disclosure - Net Loss Per Share - Schedule of Common Shares Excluded from Computation of Diluted Net Loss Per Common Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ciphermining.com/20210930/taxonomy/role/Role_DisclosureSubsequentEventsAdditionalInformationDetails" id="Role_DisclosureSubsequentEventsAdditionalInformationDetails">
        <link:definition>100480 - Disclosure - Subsequent Events - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:element id="cifr_DisclosureDepositsOnEquipmentAbstract" name="DisclosureDepositsOnEquipmentAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PrepaidExpensesAbstract" name="PrepaidExpensesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_AccruedLegalCostsCurrent" name="AccruedLegalCostsCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_AgreementTermDescription" name="AgreementTermDescription" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_BusinessCombinationCostsIncludedInAccountsPayable" name="BusinessCombinationCostsIncludedInAccountsPayable" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_BusinessCombinationCostsIncludedInAccruedLegalCosts" name="BusinessCombinationCostsIncludedInAccruedLegalCosts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_BusinessCombinationFairValueOfWarrant" name="BusinessCombinationFairValueOfWarrant" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_CashReceivedForCommonStockSubscribed" name="CashReceivedForCommonStockSubscribed" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_CashSubscriptionReceivableAndDebtForgiveness" name="CashSubscriptionReceivableAndDebtForgiveness" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_CashTenderOfferMinimumPercentage" name="CashTenderOfferMinimumPercentage" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ClassOfWarrantOrRightExercisableDescription" name="ClassOfWarrantOrRightExercisableDescription" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ClassOfWarrantOrRightRedemptionConsecutiveTradingDays" name="ClassOfWarrantOrRightRedemptionConsecutiveTradingDays" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ClassOfWarrantOrRightRedemptionConsecutiveTradingDaysAfterCommencement" name="ClassOfWarrantOrRightRedemptionConsecutiveTradingDaysAfterCommencement" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ClassOfWarrantOrRightRedemptionMinimumWrittenNoticePeriod" name="ClassOfWarrantOrRightRedemptionMinimumWrittenNoticePeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ClassOfWarrantOrRightRedemptionPricePerShare" name="ClassOfWarrantOrRightRedemptionPricePerShare" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ClassOfWarrantOrRightRedemptionThresholdClosingPriceOfOrdinaryShares" name="ClassOfWarrantOrRightRedemptionThresholdClosingPriceOfOrdinaryShares" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_CollateralAmount" name="CollateralAmount" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_CommonStockAndPreferredStockParValue" name="CommonStockAndPreferredStockParValue" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false"/>
  <xsd:element id="cifr_CommonStockAndPreferredStockShareAuthorized" name="CommonStockAndPreferredStockShareAuthorized" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false"/>
  <xsd:element id="cifr_CommonStockNetOfRedemptions" name="CommonStockNetOfRedemptions" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_CommonStockSharesHeld" name="CommonStockSharesHeld" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false"/>
  <xsd:element id="cifr_DecreaseNetNonCashAssetsAssumed" name="DecreaseNetNonCashAssetsAssumed" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_DeferredInvestmentCosts" name="DeferredInvestmentCosts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_DeferredInvestmentCostsIncludedInAccruedLegalCosts" name="DeferredInvestmentCostsIncludedInAccruedLegalCosts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_DeferredOfferingCostsNoncurrent" name="DeferredOfferingCostsNoncurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_DefinitiveFrameworkAgreementDate" name="DefinitiveFrameworkAgreementDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_DefinitivePowerPurchaseAgreementAmendmentDate" name="DefinitivePowerPurchaseAgreementAmendmentDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_DefinitivePowerPurchaseAgreementDate" name="DefinitivePowerPurchaseAgreementDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_DepositsOnEquipmentNonCurrent" name="DepositsOnEquipmentNonCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_DescriptionOfPurchaseAgreements" name="DescriptionOfPurchaseAgreements" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_DevelopmentFeePercentageOnCapitalExpenditure" name="DevelopmentFeePercentageOnCapitalExpenditure" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_EffectiveStartDateOfLeaseAgreement" name="EffectiveStartDateOfLeaseAgreement" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ExpectedPercentageOfInterestInFutureJointVenture" name="ExpectedPercentageOfInterestInFutureJointVenture" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_IncreaseDecreaseInAccruedLegalCosts" name="IncreaseDecreaseInAccruedLegalCosts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_IncreaseDecreaseNetNonCashAssetsAssumed" name="IncreaseDecreaseNetNonCashAssetsAssumed" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_LeaseAgreementPeriod" name="LeaseAgreementPeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_MaximumPercentageOfAnnualIncreaseInSharesAvailableForIncentivePlanToOutstandingCommonStock" name="MaximumPercentageOfAnnualIncreaseInSharesAvailableForIncentivePlanToOutstandingCommonStock" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_NetAssetsAssumedFromBusinessCombination" name="NetAssetsAssumedFromBusinessCombination" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_NoncashFairValueOfPrivateWarrants" name="NoncashFairValueOfPrivateWarrants" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_NumberOfBatchesInMiningRigsDelivered" name="NumberOfBatchesInMiningRigsDelivered" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_NumberOfMinersToBePurchased" name="NumberOfMinersToBePurchased" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false"/>
  <xsd:element id="cifr_NumberOfMiningRigsToBePurchased" name="NumberOfMiningRigsToBePurchased" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_OtherDeposits" name="OtherDeposits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_PayableFeePercentageOnGrossRevenue" name="PayableFeePercentageOnGrossRevenue" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PaymentOfIndependentCollateralAmountDescription" name="PaymentOfIndependentCollateralAmountDescription" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PaymentsForDepositsOnEquipment" name="PaymentsForDepositsOnEquipment" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_PercentageOfDevelopmentFeePayment" name="PercentageOfDevelopmentFeePayment" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PercentageOfGrossRevenuePayment" name="PercentageOfGrossRevenuePayment" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PercentageOfInterestInJointVenture" name="PercentageOfInterestInJointVenture" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PrincipalAndInterestDueOverPeriod" name="PrincipalAndInterestDueOverPeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ProceedsFromBusinessCombinationNetOfIssuanceCostsPaid" name="ProceedsFromBusinessCombinationNetOfIssuanceCostsPaid" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_PurchaseCommitmentAgreementDate" name="PurchaseCommitmentAgreementDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PurchaseCommitmentCollateralAmount" name="PurchaseCommitmentCollateralAmount" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_PurchaseCommitmentExpectedShippingEndDateMonthAndYear" name="PurchaseCommitmentExpectedShippingEndDateMonthAndYear" type="xbrli:gYearMonthItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PurchaseCommitmentExpectedShippingStartDateMonthAndYear" name="PurchaseCommitmentExpectedShippingStartDateMonthAndYear" type="xbrli:gYearMonthItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PurchaseObligationAdvancePaymentPaid" name="PurchaseObligationAdvancePaymentPaid" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_ReclassificationOfAccountPayableRelatedPartyDebtToRelatedPartyLoanPayable" name="ReclassificationOfAccountPayableRelatedPartyDebtToRelatedPartyLoanPayable" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_RedemptionAndEquityIssuanceCost" name="RedemptionAndEquityIssuanceCost" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="debit"/>
  <xsd:element id="cifr_RelatedPartyDebtAccruedInterest" name="RelatedPartyDebtAccruedInterest" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_RenewalTermPeriodOfPowerAgreement" name="RenewalTermPeriodOfPowerAgreement" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_RequiredCollateralAmountForPowerPurchaseAgreement" name="RequiredCollateralAmountForPowerPurchaseAgreement" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_ShareBasedCompensationArrangementByShareBasedPaymentAwardAwardLookbackPeriod" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardAwardLookbackPeriod" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ShareBasedCompensationArrangementByShareBasedPaymentAwardAwardVestingDate" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardAwardVestingDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ShareBasedCompensationVestUponAchievementOfMaximumMarketCapitalization" name="ShareBasedCompensationVestUponAchievementOfMaximumMarketCapitalization" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_ShareParValue" name="ShareParValue" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false"/>
  <xsd:element id="cifr_SharesAuthorized" name="SharesAuthorized" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false"/>
  <xsd:element id="cifr_StandardPowerHostingAgreementDate" name="StandardPowerHostingAgreementDate" type="xbrli:dateItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_SubscriptionReceivable" name="SubscriptionReceivable" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_TermOfPowerPurchaseAgreement" name="TermOfPowerPurchaseAgreement" type="xbrli:durationItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_TransactionCostsAndAdvisoryFeesAllocatedToEquity" name="TransactionCostsAndAdvisoryFeesAllocatedToEquity" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_TransactionCostsAndAdvisoryFeesAllocatedToWarrants" name="TransactionCostsAndAdvisoryFeesAllocatedToWarrants" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_UndiscountedPrincipalPayments" name="UndiscountedPrincipalPayments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" nillable="true" abstract="false" xbrli:balance="credit"/>
  <xsd:element id="cifr_PrepaidExpensesLineItems" name="PrepaidExpensesLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_AgreementOneMember" name="AgreementOneMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_AgreementTwoMember" name="AgreementTwoMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_BitfuryPrivatePlacementMember" name="BitfuryPrivatePlacementMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_BitfuryTopHoldCoMember" name="BitfuryTopHoldCoMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_BitfuryTopHoldCompanyMember" name="BitfuryTopHoldCompanyMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_BitmainTechnologiesLimitedMember" name="BitmainTechnologiesLimitedMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_CipherMember" name="CipherMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_EquityIncentivePlanMember" name="EquityIncentivePlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_FounderSharesMember" name="FounderSharesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_FutureDateCenterLlcMember" name="FutureDateCenterLlcMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_GoodWorksAcquisitionCorpMember" name="GoodWorksAcquisitionCorpMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_GWACTrustAndCashNetOfRedemptionsMember" name="GWACTrustAndCashNetOfRedemptionsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_IncentiveAwardPlanMember" name="IncentiveAwardPlanMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_InitialDataCenterLLCMember" name="InitialDataCenterLLCMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_LoanAgreementMember" name="LoanAgreementMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_LuminantLeaseAgreementsMember" name="LuminantLeaseAgreementsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_LuminantPowerArrangementMember" name="LuminantPowerArrangementMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_LuminantPowerPurchaseAgreementIndependentMember" name="LuminantPowerPurchaseAgreementIndependentMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_LuminantPurchaseAndSaleAgreementMember" name="LuminantPurchaseAndSaleAgreementMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_MrEdwardFarrellMember" name="MrEdwardFarrellMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_MrTylerPageMember" name="MrTylerPageMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PerformanceBasedRestrictedStockUnitsMember" name="PerformanceBasedRestrictedStockUnitsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PIPEFinancingMember" name="PIPEFinancingMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PipeInvestorsMember" name="PipeInvestorsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PrivatePlacementWarrantsMember" name="PrivatePlacementWarrantsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PublicWarrantsMember" name="PublicWarrantsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_SecurityDepositsMember" name="SecurityDepositsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_ServiceBasedRestrictedStockUnitsMember" name="ServiceBasedRestrictedStockUnitsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_ShareBasedPaymentArrangementTrancheFourMember" name="ShareBasedPaymentArrangementTrancheFourMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_StandardPowerArrangementMember" name="StandardPowerArrangementMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_StandardPowerHostingAgreementMember" name="StandardPowerHostingAgreementMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_SubscriptionReceivableMember" name="SubscriptionReceivableMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_SuperAcmeTechnologyHongKongMember" name="SuperAcmeTechnologyHongKongMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_VariousVendorsForOtherContractsAndCostsMember" name="VariousVendorsForOtherContractsAndCostsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_WindHQMember" name="WindHQMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_PrepaidExpensesTable" name="PrepaidExpensesTable" type="xbrli:stringItemType" substitutionGroup="xbrldt:hypercubeItem" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="cifr_CommonStockWarrantsPolicyTextBlock" name="CommonStockWarrantsPolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_CryptocurrenciesPolicyTextBlock" name="CryptocurrenciesPolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_DepositsOnEquipmentTextBlock" name="DepositsOnEquipmentTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_EmergingGrowthCompanyPolicyTextBlock" name="EmergingGrowthCompanyPolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_PrepaidExpensesDisclosureTextBlock" name="PrepaidExpensesDisclosureTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ScheduleOfPurchaseAgreementCommitmentsDepositsPaidAndExpectedDeliveryTimingTableTextBlock" name="ScheduleOfPurchaseAgreementCommitmentsDepositsPaidAndExpectedDeliveryTimingTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_ScheduleOfReconciliationOfElementsOfBusinessCombinationTableTextBlock" name="ScheduleOfReconciliationOfElementsOfBusinessCombinationTableTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_UnauditedInterimCondensedConsolidatedFinancialStatementsPolicyTextBlock" name="UnauditedInterimCondensedConsolidatedFinancialStatementsPolicyTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_WarrantLiabilityDisclosureTextBlock" name="WarrantLiabilityDisclosureTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
  <xsd:element id="cifr_WarrantsDisclosureTextBlock" name="WarrantsDisclosureTextBlock" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="false"/>
</xsd:schema>
